"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRepository = getRepository;
const entities_1 = require("../entities");
function getRepository(module, emToken) {
    const em = module.get(emToken);
    const userRepository = em.getRepository(entities_1.Users);
    const addressesRepository = em.getRepository(entities_1.Addresses);
    const notesRepository = em.getRepository(entities_1.Notes);
    const commentsRepository = em.getRepository(entities_1.Comments);
    const rolesRepository = em.getRepository(entities_1.Roles);
    const userGroupRepository = em.getRepository(entities_1.UserGroups);
    return {
        userRepository,
        addressesRepository,
        notesRepository,
        commentsRepository,
        rolesRepository,
        userGroupRepository,
    };
}
//# sourceMappingURL=provider-entities.js.map